Quick start
===========

This guide will show you the basic usage of SnakeLines pipelines on small toy example.
We assume that you have Linux system installed (tested on Ubuntu 20.04).

Install required dependencies
-----------------------------

Follow installation guides for `Miniconda <https://conda.io/docs/user-guide/install/index.html>`_.
There is no need to install any other tools manually.
All required bioinformatic tools are installed automatically by SnakeLines inside dedicated virtual environments to avoid dependency conflicts with already installed tools.

Installation as a Conda package
--------------------------------

.. code:: bash
   
   # In order for SnakeLines Conda virtual environments to work, user has to add several Anaconda repository channels to Conda.
   
   conda config --add channels bioconda
   conda config --add channels g2554711
   conda config --add channels g2554711/label/bioconda
   conda config --add channels conda-forge
   conda config --add channels agbiome
   conda config --add channels rsmulktis
   conda config --add channels moustik
  
   conda install mamba -n base -c conda-forge
  
   mamba create --name snakelines-env -c bioconda snakelines
   mamba activate snakelines-env
   

Alternately you may `download sources directly <running.html#installation>`_.

Execute example pipeline
----------------

Toy example read files and references are stored at the `/example` directory of Snakelines package in conda installation directory. To access them, simply use command below to copy them out of conda directory:

.. code-block:: bash

  cp -R `conda info --base`/envs/snakelines-env/share/snakelines/example snakelines-examples

`variant_calling` pipeline may be executed using:

.. code-block:: bash

   mamba activate snakelines-env
   
   cd snakelines-examples/genomic

   snakelines \
      --configfile config_variant_calling.yaml \
      --use-conda \ 
      --cores 2
 
